<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>registro</title>
</head>

<body>
    <form name="registro" action="" method="get">
        <label for="nombre">Nombre</label>
        <input type="text" name="nombre" id="nombre" Required>
        <br><br>
        <label for="apellido">Apellido</label>
        <input type="text" name="apellido" id="apellido" Required>
        <br><br>
        <label for="email">Email</label>
        <input type="email" name="email" id="email" Required>
        <br><br>
        <label for="pais">País</label>
        <select name="pais" id="pais">
            <option value="argentina">Argentina</option>
            <option value="brasil">Brasil</option>
            <option value="chile">Chile</option>
            <option value="colombia">Colombia</option>
            <option value="peru">Perú</option>
            <option value="venezuela">Venezuela</option>
        </select>
        <br><br>
        <label for="contrasenia">Contraseña</label>
        <input type="password" name="contrasenia" id="contrasenia" Required>
        <br><br>
        <label for="rcontrasenia">Repetir Contraseña</label>
        <input type="password" name="rcontrasenia" id="rcontrasenia" Required>
        <br><br>
        <input type="button" name="registro" id="registro" value=" Registrar">
    </form>
    <br><br>
    <form name="login" action="" method="get">
        <label for="lemail">Email</label>
        <input type="lemail" name="lemail" id="lemail" Required>
        <br><br>
        <label for="lcontrasenia">Contraseña</label>
        <input type="password" name="lcontrasenia" id="lcontrasenia" Required>
        <br><br>
        <input type="button" name="login" id="login" value=" Login">
    </form>
    <br><br>
    <div id="mensaje"></div>

    <script type="text/javascript">
        const btnRegistro = document.getElementById("registro");
        const btnLogin = document.getElementById("login");
        let usuarios = [];

        class Usuario {
            constructor(nombre, apellido, email, pais, contrasenia, rcontrasenia) {
                this.nombre = nombre;
                this.apellido = apellido;
                this.email = email;
                this.pais = pais;
                this.contrasenia = contrasenia;
                this.rcontrasenia = rcontrasenia;
            }
        }

        btnRegistro.addEventListener('click', function () {
            let nombre = document.getElementById("nombre").value;
            let apellido = document.getElementById("apellido").value;
            let email = document.getElementById("email").value;
            let pais = document.getElementById("pais").value;
            let contrasenia = document.getElementById("contrasenia").value;
            let rcontrasenia = document.getElementById("rcontrasenia").value;
            if (nombre != "" && apellido != "" && email != "" && contrasenia != "" && rcontrasenia != "") {
                if (contrasenia === rcontrasenia) {
                    if (usuarios.length > 0) {
                        for (let i = 0; i < usuarios.length; i++) {
                            if (email != usuarios[i].email) {
                                let usuario = new Usuario(nombre, apellido, email, pais, contrasenia, rcontrasenia)
                                usuarios.push(usuario);
                                console.log('email != usuarios[i].email');
                                console.log(`Nombre: ${nombre} \n  Apellido: ${apellido} \n  Email: ${email} \n País: ${pais} \n contraseña: ${contrasenia} \n rcontraseña: ${rcontrasenia} \n  `);
                                break;
                            } else {
                                document.getElementById('mensaje').innerHTML = "El email esta registrado";
                                break;
                            }//compara email en array
                        }//for usuarios con objetos
                    } else {
                        let usuario = new Usuario(nombre, apellido, email, pais, contrasenia, rcontrasenia)
                        usuarios.push(usuario);
                        console.log('usuarios.length = 0');
                        console.log(`Nombre: ${nombre} \n  Apellido: ${apellido} \n  Email: ${email} \n País: ${pais} \n contraseña: ${contrasenia} \n rcontraseña: ${rcontrasenia} \n  `);
                    }//if si es el primer usuario registrado
                    console.log('contrasenia === rcontrasenia');
                } else {
                    document.getElementById('mensaje').innerHTML = "Las contraseñas no son iguales";
                }//if compara si son iguales los campos de contraseña
            } else {
                document.getElementById('mensaje').innerHTML = "Faltan campos completar";
            }//if de campos vacios
        });//funcion btn click

        btnLogin.addEventListener('click', function () {
            let email = document.getElementById("lemail").value;
            let contrasenia = document.getElementById("lcontrasenia").value;
            for (let i = 0; i < usuarios.length; i++) {
                if(email === usuarios[i].email){
                    if(usuarios[i].contrasenia === contrasenia){
                        console.log(`Indice del array usuarios es: ${i}`);
                        document.getElementById('mensaje').innerHTML = "Login exitoso";
                        break;
                    }else{
                        console.log(`Contraseña incorrecta`);
                        document.getElementById('mensaje').innerHTML = "Contraseña incorrecta";
                    }
                }else{
                    document.getElementById('mensaje').innerHTML = `No se encontro en BBDD - Return ${false}`;
                    console.log(`no coincide email en BBDD`);
                    return false;
                    break;
                }
            }
        });//funcion btn click
    </script>
</body>

</html>